Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3182)
@@ -623,6 +537,6 @@
        DO  i = nxl, nxr
           DO  j = nys, nyn
-             w(nzt:nzt+1,j,i) = force%w_top(0,j,i) + ddt_lsf * t_ref *         &
-                        ( force%w_top(1,j,i) - force%w_top(0,j,i) ) *          &
+             w(nzt:nzt+1,j,i) = nest_offl%w_top(0,j,i) + ddt_lsf * t_ref *     &
+                        ( nest_offl%w_top(1,j,i) - nest_offl%w_top(0,j,i) ) *  &
                            MERGE( 1.0_wp, 0.0_wp,                              &
                                   BTEST( wall_flags_0(nzt:nzt+1,j,i), 3 ) )
@@ -634,6 +548,6 @@
           DO  i = nxl, nxr
              DO  j = nys, nyn
-                pt(nzt+1,j,i) = force%pt_top(0,j,i) + ddt_lsf * t_ref *        &
-                        ( force%pt_top(1,j,i) - force%pt_top(0,j,i) )
+                pt(nzt+1,j,i) = nest_offl%pt_top(0,j,i) + ddt_lsf * t_ref *    &
+                        ( nest_offl%pt_top(1,j,i) - nest_offl%pt_top(0,j,i) )
              ENDDO
           ENDDO
@@ -643,6 +557,6 @@
           DO  i = nxl, nxr
              DO  j = nys, nyn
-                q(nzt+1,j,i) = force%q_top(0,j,i) + ddt_lsf * t_ref *          &
-                        ( force%q_top(1,j,i) - force%q_top(0,j,i) )
+                q(nzt+1,j,i) = nest_offl%q_top(0,j,i) + ddt_lsf * t_ref *      &
+                        ( nest_offl%q_top(1,j,i) - nest_offl%q_top(0,j,i) )
              ENDDO
           ENDDO
@@ -651,10 +565,10 @@
 !--    At the edges( left-south, left-north, right-south and right-north) set 
 !--    data on ghost points. 
-       IF ( force_bound_l  .AND.  force_bound_s )  THEN
+       IF ( bc_dirichlet_l  .AND.  bc_dirichlet_s )  THEN
           DO  i = 1, nbgp
              u(:,nys-i,nxlg:nxl)   = u(:,nys,nxlg:nxl)
              w(:,nys-i,nxlg:nxl-1) = w(:,nys,nxlg:nxl-1)
              IF ( .NOT. neutral )  pt(:,nys-i,nxlg:nxl-1) = pt(:,nys,nxlg:nxl-1)
-             IF ( humidity )       q(:,nys-i,nxlg:nxl-1)  = q(:,nys,nxlg:nxl-1)
+             IF ( humidity      )  q(:,nys-i,nxlg:nxl-1)  = q(:,nys,nxlg:nxl-1)
           ENDDO
           DO  i = 1, nbgp+1
@@ -662,5 +576,5 @@
           ENDDO
        ENDIF
-       IF ( force_bound_l  .AND.  force_bound_n )  THEN
+       IF ( bc_dirichlet_l  .AND.  bc_dirichlet_n )  THEN
           DO  i = 1, nbgp
              u(:,nyn+i,nxlg:nxl)   = u(:,nyn,nxlg:nxl)
@@ -668,13 +582,13 @@
              w(:,nyn+i,nxlg:nxl-1) = w(:,nyn,nxlg:nxl-1)
              IF ( .NOT. neutral )  pt(:,nyn+i,nxlg:nxl-1) = pt(:,nyn,nxlg:nxl-1)
-             IF ( humidity )       q(:,nyn+i,nxlg:nxl-1)  = q(:,nyn,nxlg:nxl-1)
-          ENDDO
-       ENDIF
-       IF ( force_bound_r  .AND.  force_bound_s )  THEN
+             IF ( humidity      )  q(:,nyn+i,nxlg:nxl-1)  = q(:,nyn,nxlg:nxl-1)
+          ENDDO
+       ENDIF
+       IF ( bc_dirichlet_r  .AND.  bc_dirichlet_s )  THEN
           DO  i = 1, nbgp
              u(:,nys-i,nxr+1:nxrg) = u(:,nys,nxr+1:nxrg)
              w(:,nys-i,nxr+1:nxrg) = w(:,nys,nxr+1:nxrg)
              IF ( .NOT. neutral )  pt(:,nys-i,nxr+1:nxrg) = pt(:,nys,nxr+1:nxrg)
-             IF ( humidity )       q(:,nys-i,nxr+1:nxrg)  = q(:,nys,nxr+1:nxrg)
+             IF ( humidity      )  q(:,nys-i,nxr+1:nxrg)  = q(:,nys,nxr+1:nxrg)
           ENDDO
           DO  i = 1, nbgp+1
@@ -682,5 +596,5 @@
           ENDDO
        ENDIF
-       IF ( force_bound_r  .AND.  force_bound_n )  THEN
+       IF ( bc_dirichlet_r  .AND.  bc_dirichlet_n )  THEN
           DO  i = 1, nbgp
              u(:,nyn+i,nxr+1:nxrg) = u(:,nyn,nxr+1:nxrg)
@@ -688,23 +602,30 @@
              w(:,nyn+i,nxr+1:nxrg) = w(:,nyn,nxr+1:nxrg)
              IF ( .NOT. neutral )  pt(:,nyn+i,nxr+1:nxrg) = pt(:,nyn,nxr+1:nxrg)
-             IF ( humidity )       q(:,nyn+i,nxr+1:nxrg)  = q(:,nyn,nxr+1:nxrg)
-          ENDDO
-       ENDIF
-!
-!--    Moreover, set Neumann boundary condition for subgrid-scale TKE and 
-!--    passive scalar
+             IF ( humidity      )  q(:,nyn+i,nxr+1:nxrg)  = q(:,nyn,nxr+1:nxrg)
+          ENDDO
+       ENDIF
+!
+!--    Moreover, set Neumann boundary condition for subgrid-scale TKE, 
+!--    passive scalar, dissipation, and chemical species if required
+       IF ( rans_mode  .AND.  rans_tke_e )  THEN
+          IF (  bc_dirichlet_l )  diss(:,:,nxl-1) = diss(:,:,nxl)
+          IF (  bc_dirichlet_r )  diss(:,:,nxr+1) = diss(:,:,nxr)
+          IF (  bc_dirichlet_s )  diss(:,nys-1,:) = diss(:,nys,:)
+          IF (  bc_dirichlet_n )  diss(:,nyn+1,:) = diss(:,nyn,:)
+       ENDIF
        IF ( .NOT. constant_diffusion )  THEN
-          IF (  force_bound_l )  e(:,:,nxl-1) = e(:,:,nxl)
-          IF (  force_bound_r )  e(:,:,nxr+1) = e(:,:,nxr)
-          IF (  force_bound_s )  e(:,nys-1,:) = e(:,nys,:)
-          IF (  force_bound_n )  e(:,nyn+1,:) = e(:,nyn,:)
+          IF (  bc_dirichlet_l )  e(:,:,nxl-1) = e(:,:,nxl)
+          IF (  bc_dirichlet_r )  e(:,:,nxr+1) = e(:,:,nxr)
+          IF (  bc_dirichlet_s )  e(:,nys-1,:) = e(:,nys,:)
+          IF (  bc_dirichlet_n )  e(:,nyn+1,:) = e(:,nyn,:)
           e(nzt+1,:,:) = e(nzt,:,:)
        ENDIF
        IF ( passive_scalar )  THEN
-          IF (  force_bound_l )  s(:,:,nxl-1) = s(:,:,nxl)
-          IF (  force_bound_r )  s(:,:,nxr+1) = s(:,:,nxr)
-          IF (  force_bound_s )  s(:,nys-1,:) = s(:,nys,:)
-          IF (  force_bound_n )  s(:,nyn+1,:) = s(:,nyn,:)
-       ENDIF
+          IF (  bc_dirichlet_l )  s(:,:,nxl-1) = s(:,:,nxl)
+          IF (  bc_dirichlet_r )  s(:,:,nxr+1) = s(:,:,nxr)
+          IF (  bc_dirichlet_s )  s(:,nys-1,:) = s(:,nys,:)
+          IF (  bc_dirichlet_n )  s(:,nyn+1,:) = s(:,nyn,:)
+       ENDIF
+
 
 
@@ -720,10 +641,10 @@
 !--    treatment of fluxes. 
 !--    For the moment, comment this out! 
-!      surface_pressure = force%surface_pressure(force%tind) +                 &
+!      surface_pressure = nest_offl%surface_pressure(nest_offl%tind) +                 &
 !                                                      ddt_lsf * t_ref *       &
-!                                    ( force%surface_pressure(force%tind_p)    &
-!                                    - force%surface_pressure(force%tind) )
-
-    END SUBROUTINE forcing_bc
+!                                    ( nest_offl%surface_pressure(nest_offl%tind_p)    &
+!                                    - nest_offl%surface_pressure(nest_offl%tind) )
+
+    END SUBROUTINE lsf_nesting_offline
 
 !------------------------------------------------------------------------------!
@@ -1040,5 +961,5 @@
        REAL(wp) ::  r_dummy           !<
 
-       IF ( forcing )  THEN
+       IF ( nesting_offline )  THEN
 !
 !--       Allocate arrays for geostrophic wind components. Arrays will 
@@ -1047,180 +968,54 @@
 !--       case of cyclic boundary conditions.
           IF ( bc_lr_cyc  .AND.  bc_ns_cyc )  THEN
-             ALLOCATE( force%ug(0:1,nzb:nzt+1) )
-             ALLOCATE( force%vg(0:1,nzb:nzt+1) )
+             ALLOCATE( nest_offl%ug(0:1,nzb:nzt+1) )
+             ALLOCATE( nest_offl%vg(0:1,nzb:nzt+1) )
           ENDIF
 !
 !--       Allocate arrays for reading boundary values. Arrays will incorporate 2 
 !--       time levels in order to interpolate in between. 
-          IF ( force_bound_l )  THEN
-             ALLOCATE( force%u_left(0:1,nzb+1:nzt+1,nys:nyn)  )
-             ALLOCATE( force%v_left(0:1,nzb+1:nzt+1,nysv:nyn) )
-             ALLOCATE( force%w_left(0:1,nzb+1:nzt,nys:nyn)    )
-             IF ( humidity )      ALLOCATE( force%q_left(0:1,nzb+1:nzt+1,nys:nyn)  )
-             IF ( .NOT. neutral ) ALLOCATE( force%pt_left(0:1,nzb+1:nzt+1,nys:nyn) )
-          ENDIF
-          IF ( force_bound_r )  THEN
-             ALLOCATE( force%u_right(0:1,nzb+1:nzt+1,nys:nyn)  )
-             ALLOCATE( force%v_right(0:1,nzb+1:nzt+1,nysv:nyn) )
-             ALLOCATE( force%w_right(0:1,nzb+1:nzt,nys:nyn)    )
-             IF ( humidity )      ALLOCATE( force%q_right(0:1,nzb+1:nzt+1,nys:nyn)  )
-             IF ( .NOT. neutral ) ALLOCATE( force%pt_right(0:1,nzb+1:nzt+1,nys:nyn) )
-          ENDIF
-          IF ( force_bound_n )  THEN
-             ALLOCATE( force%u_north(0:1,nzb+1:nzt+1,nxlu:nxr) )
-             ALLOCATE( force%v_north(0:1,nzb+1:nzt+1,nxl:nxr)  )
-             ALLOCATE( force%w_north(0:1,nzb+1:nzt,nxl:nxr)    )
-             IF ( humidity )      ALLOCATE( force%q_north(0:1,nzb+1:nzt+1,nxl:nxr)  )
-             IF ( .NOT. neutral ) ALLOCATE( force%pt_north(0:1,nzb+1:nzt+1,nxl:nxr) )
-          ENDIF
-          IF ( force_bound_s )  THEN
-             ALLOCATE( force%u_south(0:1,nzb+1:nzt+1,nxlu:nxr) )
-             ALLOCATE( force%v_south(0:1,nzb+1:nzt+1,nxl:nxr)  )
-             ALLOCATE( force%w_south(0:1,nzb+1:nzt,nxl:nxr)    )
-             IF ( humidity )      ALLOCATE( force%q_south(0:1,nzb+1:nzt+1,nxl:nxr)  )
-             IF ( .NOT. neutral ) ALLOCATE( force%pt_south(0:1,nzb+1:nzt+1,nxl:nxr) )
+          IF ( bc_dirichlet_l )  THEN
+             ALLOCATE( nest_offl%u_left(0:1,nzb+1:nzt,nys:nyn)  )
+             ALLOCATE( nest_offl%v_left(0:1,nzb+1:nzt,nysv:nyn) )
+             ALLOCATE( nest_offl%w_left(0:1,nzb+1:nzt-1,nys:nyn) )
+             IF ( humidity )      ALLOCATE( nest_offl%q_left(0:1,nzb+1:nzt,nys:nyn)  )
+             IF ( .NOT. neutral ) ALLOCATE( nest_offl%pt_left(0:1,nzb+1:nzt,nys:nyn) )
+          ENDIF
+          IF ( bc_dirichlet_r )  THEN
+             ALLOCATE( nest_offl%u_right(0:1,nzb+1:nzt,nys:nyn)  )
+             ALLOCATE( nest_offl%v_right(0:1,nzb+1:nzt,nysv:nyn) )
+             ALLOCATE( nest_offl%w_right(0:1,nzb+1:nzt-1,nys:nyn) )
+             IF ( humidity )      ALLOCATE( nest_offl%q_right(0:1,nzb+1:nzt,nys:nyn)  )
+             IF ( .NOT. neutral ) ALLOCATE( nest_offl%pt_right(0:1,nzb+1:nzt,nys:nyn) )
+          ENDIF
+          IF ( bc_dirichlet_n )  THEN
+             ALLOCATE( nest_offl%u_north(0:1,nzb+1:nzt,nxlu:nxr) )
+             ALLOCATE( nest_offl%v_north(0:1,nzb+1:nzt,nxl:nxr)  )
+             ALLOCATE( nest_offl%w_north(0:1,nzb+1:nzt-1,nxl:nxr) )
+             IF ( humidity )      ALLOCATE( nest_offl%q_north(0:1,nzb+1:nzt,nxl:nxr)  )
+             IF ( .NOT. neutral ) ALLOCATE( nest_offl%pt_north(0:1,nzb+1:nzt,nxl:nxr) )
+          ENDIF
+          IF ( bc_dirichlet_s )  THEN
+             ALLOCATE( nest_offl%u_south(0:1,nzb+1:nzt,nxlu:nxr) )
+             ALLOCATE( nest_offl%v_south(0:1,nzb+1:nzt,nxl:nxr)  )
+             ALLOCATE( nest_offl%w_south(0:1,nzb+1:nzt-1,nxl:nxr)    )
+             IF ( humidity )      ALLOCATE( nest_offl%q_south(0:1,nzb+1:nzt,nxl:nxr)  )
+             IF ( .NOT. neutral ) ALLOCATE( nest_offl%pt_south(0:1,nzb+1:nzt,nxl:nxr) )
           ENDIF
           
-          ALLOCATE( force%u_top(0:1,nys:nyn,nxlu:nxr) )
-          ALLOCATE( force%v_top(0:1,nysv:nyn,nxl:nxr) )
-          ALLOCATE( force%w_top(0:1,nys:nyn,nxl:nxr)  )
-          IF ( humidity )      ALLOCATE( force%q_top(0:1,nys:nyn,nxl:nxr)  )
-          IF ( .NOT. neutral ) ALLOCATE( force%pt_top(0:1,nys:nyn,nxl:nxr) )
-
-!
-!--       Initial call of input. Time array, initial 3D data of u, v, w, 
-!--       potential temperature, as well as mixing ratio, will be read. 
-!--       Moreover, data at lateral and top boundary will be read.  
+          ALLOCATE( nest_offl%u_top(0:1,nys:nyn,nxlu:nxr) )
+          ALLOCATE( nest_offl%v_top(0:1,nysv:nyn,nxl:nxr) )
+          ALLOCATE( nest_offl%w_top(0:1,nys:nyn,nxl:nxr)  )
+          IF ( humidity )      ALLOCATE( nest_offl%q_top(0:1,nys:nyn,nxl:nxr)  )
+          IF ( .NOT. neutral ) ALLOCATE( nest_offl%pt_top(0:1,nys:nyn,nxl:nxr) )
+
+!
+!--       Read COSMO data at lateral and top boundaries
           CALL netcdf_data_input_lsf
 !
-!--       Please note, at the moment INIFOR assumes only an equidistant vertical
-!--       grid. In case of vertical grid stretching, input of inital 3D data 
-!--       need to be inter- and/or extrapolated. 
-!--       Therefore, check if zw grid on file is identical to numeric zw grid.   
-          IF ( ANY( zu(1:nzt+1) /= force%zu_atmos(1:force%nzu) ) )  THEN
-!
-!--          Also data at the boundaries need to be inter/extrapolated at both
-!--          time levels
-             DO  t = 0, 1
-                IF ( force_bound_l )  THEN
-                   CALL netcdf_data_input_interpolate( force%u_left(t,:,:),    &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%v_left(t,:,:),    &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%w_left(t,:,:),    &
-                                                       zw(1:nzt+1),            &
-                                                       force%zw_atmos )
-                   IF ( .NOT. neutral )                                        &
-                      CALL netcdf_data_input_interpolate( force%pt_left(t,:,:),&
-                                                          zu(1:nzt+1),         &
-                                                          force%zu_atmos )
-                   IF ( humidity )                                             &
-                      CALL netcdf_data_input_interpolate( force%q_left(t,:,:), &
-                                                          zu(1:nzt+1),         &
-                                                          force%zu_atmos )
-                ENDIF
-                IF ( force_bound_r )  THEN
-                   CALL netcdf_data_input_interpolate( force%u_right(t,:,:),   &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%v_right(t,:,:),   &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%w_right(t,:,:),   &
-                                                       zw(1:nzt+1),            &
-                                                       force%zw_atmos )
-                   IF ( .NOT. neutral )                                        &
-                      CALL netcdf_data_input_interpolate( force%pt_right(t,:,:),&
-                                                          zu(1:nzt+1),          &
-                                                          force%zu_atmos )
-                   IF ( humidity )                                             &
-                      CALL netcdf_data_input_interpolate( force%q_right(t,:,:),&
-                                                          zu(1:nzt+1),         &
-                                                          force%zu_atmos )
-                ENDIF
-                IF ( force_bound_n )  THEN
-                   CALL netcdf_data_input_interpolate( force%u_north(t,:,:),   &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%v_north(t,:,:),   &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%w_north(t,:,:),   &
-                                                       zw(1:nzt+1),            &
-                                                       force%zw_atmos )
-                   IF ( .NOT. neutral )                                        &
-                      CALL netcdf_data_input_interpolate( force%pt_north(t,:,:),&
-                                                          zu(1:nzt+1),          &
-                                                          force%zu_atmos )
-                   IF ( humidity )                                             &
-                      CALL netcdf_data_input_interpolate( force%q_north(t,:,:),&
-                                                          zu(1:nzt+1),         &
-                                                          force%zu_atmos )
-                ENDIF
-                IF ( force_bound_s )  THEN
-                   CALL netcdf_data_input_interpolate( force%u_south(t,:,:),   &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%v_south(t,:,:),   &
-                                                       zu(1:nzt+1),            &
-                                                       force%zu_atmos )
-                   CALL netcdf_data_input_interpolate( force%w_south(t,:,:),   &
-                                                       zw(1:nzt+1),            &
-                                                       force%zw_atmos )
-                   IF ( .NOT. neutral )                                        &
-                      CALL netcdf_data_input_interpolate( force%pt_south(t,:,:),&
-                                                          zu(1:nzt+1),          &
-                                                          force%zu_atmos )
-                   IF ( humidity )                                             &
-                      CALL netcdf_data_input_interpolate( force%q_south(t,:,:),&
-                                                          zu(1:nzt+1),         &
-                                                          force%zu_atmos )
-                ENDIF
-             ENDDO
-          ENDIF
-
-!
-!--       Exchange ghost points
-          CALL exchange_horiz( u, nbgp )
-          CALL exchange_horiz( v, nbgp )
-          CALL exchange_horiz( w, nbgp )
-          IF ( .NOT. neutral )  CALL exchange_horiz( pt, nbgp )
-          IF ( humidity      )  CALL exchange_horiz( q,  nbgp )
-!
-!--       At lateral boundaries, set also initial boundary conditions
-          IF ( force_bound_l )  THEN
-             u(:,:,nxl)   = u(:,:,nxlu)
-             v(:,:,nxl-1) = v(:,:,nxl)
-             w(:,:,nxl-1) = w(:,:,nxl)
-             IF ( .NOT. neutral )  pt(:,:,nxl-1) = pt(:,:,nxl)
-             IF ( humidity      )  q(:,:,nxl-1)  = q(:,:,nxl)
-          ENDIF
-          IF ( force_bound_r )  THEN
-             u(:,:,nxr+1) = u(:,:,nxr)
-             v(:,:,nxr+1) = v(:,:,nxr)
-             w(:,:,nxr+1) = w(:,:,nxr)
-             IF ( .NOT. neutral )  pt(:,:,nxr+1) = pt(:,:,nxr)
-             IF ( humidity      )  q(:,:,nxr+1)  = q(:,:,nxr)
-          ENDIF
-          IF ( force_bound_s )  THEN
-             u(:,nys-1,:) = u(:,nys,:)
-             v(:,nys,:)   = v(:,nysv,:)
-             w(:,nys-1,:) = w(:,nys,:)
-             IF ( .NOT. neutral )  pt(:,nys-1,:) = pt(:,nys,:)
-             IF ( humidity      )  q(:,nys-1,:)  = q(:,nys,:)
-          ENDIF
-          IF ( force_bound_n )  THEN
-             u(:,nyn+1,:) = u(:,nyn,:)
-             v(:,nyn+1,:) = v(:,nyn,:)
-             w(:,nyn+1,:) = w(:,nyn,:)
-             IF ( .NOT. neutral )  pt(:,nyn+1,:) = pt(:,nyn,:)
-             IF ( humidity      )  q(:,nyn+1,:)  = q(:,nyn,:)
-          ENDIF
-
+!--       Write COSMO data at lateral and top boundaries
+          CALL lsf_nesting_offline
 !
 !--       After 3D data is initialized, ensure mass conservation
-          CALL forcing_bc_mass_conservation
+          CALL lsf_nesting_offline_mass_conservation
 !
 !--       Initialize surface pressure. Please note, time-dependent surface
@@ -1228,5 +1023,5 @@
 !--       treatment of fluxes. 
 !--       For the moment, comment this out! 
-!         surface_pressure = force%surface_pressure(0)
+!         surface_pressure = nest_offl%surface_pressure(0)
 
        ELSE
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 3178)
+++ palm/trunk/SOURCE/modules.f90	(revision 3182)
@@ -20,5 +20,12 @@
 ! Current revisions:
 ! ------------------
-! 
+! Rename offline nesting variables:
+! -inflow_l, inflow_n, inflow_r, inflow_s, 
+!  nest_bound_l, nest_bound_n, nest_bound_r, nest_bound_s, nest_domain, forcing, 
+!  force_bound_l, force_bound_n, force_bound_r, force_bound_s, outflow_l, 
+!  outflow_n, outflow_r, outflow_s
+! +bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_n, bc_dirichlet_r, 
+!  bc_radiation_l, bc_radiation_n, bc_radiation_n, bc_radiation_r, child_domain 
+!  nesting_offline
 ! 
 ! Former revisions:
@@ -1272,4 +1279,8 @@
     LOGICAL ::  agent_time_unlimited = .FALSE.                   !< namelist parameter
     LOGICAL ::  air_chemistry = .FALSE.                          !< chemistry model switch
+    LOGICAL ::  bc_dirichlet_l                                   !< flag indicating dirichlet boundary condition on left model boundary
+    LOGICAL ::  bc_dirichlet_n                                   !< flag indicating dirichlet boundary condition on north model boundary
+    LOGICAL ::  bc_dirichlet_r                                   !< flag indicating dirichlet boundary condition on right model boundary
+    LOGICAL ::  bc_dirichlet_s                                   !< flag indicating dirichlet boundary condition on south model boundary
     LOGICAL ::  bc_lr_cyc =.TRUE.                                !< left-right boundary condition cyclic?
     LOGICAL ::  bc_lr_dirrad = .FALSE.                           !< left-right boundary condition dirichlet/radiation?
@@ -1278,7 +1289,12 @@
     LOGICAL ::  bc_ns_dirrad = .FALSE.                           !< north-south boundary condition dirichlet/radiation?
     LOGICAL ::  bc_ns_raddir = .FALSE.                           !< north-south boundary condition radiation/dirichlet?
+    LOGICAL ::  bc_radiation_l = .FALSE.                         !< radiation boundary condition for outflow at left domain boundary
+    LOGICAL ::  bc_radiation_n = .FALSE.                         !< radiation boundary condition for outflow at north domain boundary
+    LOGICAL ::  bc_radiation_r = .FALSE.                         !< radiation boundary condition for outflow at right domain boundary
+    LOGICAL ::  bc_radiation_s = .FALSE.                         !< radiation boundary condition for outflow at south domain boundary
     LOGICAL ::  calc_soil_moisture_during_spinup = .FALSE.       !< namelist parameter
     LOGICAL ::  call_microphysics_at_all_substeps = .FALSE.      !< namelist parameter
     LOGICAL ::  call_psolver_at_all_substeps = .TRUE.            !< namelist parameter
+    LOGICAL ::  child_domain  = .FALSE.                          !< flag indicating that model is nested in a parent domain
     LOGICAL ::  cloud_droplets = .FALSE.                         !< namelist parameter
     LOGICAL ::  cloud_physics = .FALSE.                          !< namelist parameter
@@ -1310,16 +1326,7 @@
     LOGICAL ::  first_call_mas = .TRUE.                          !< call mas only once per timestep
     LOGICAL ::  force_print_header = .FALSE.                     !< namelist parameter
-    LOGICAL ::  force_bound_l = .FALSE.                          !< flag indicating domain boundary on left side to set forcing boundary conditions
-    LOGICAL ::  force_bound_n = .FALSE.                          !< flag indicating domain boundary on north side to set forcing boundary conditions
-    LOGICAL ::  force_bound_r = .FALSE.                          !< flag indicating domain boundary on right side to set forcing boundary conditions
-    LOGICAL ::  force_bound_s = .FALSE.                          !< flag indicating domain boundary on south side to set forcing boundary conditions
-    LOGICAL ::  forcing = .FALSE.                                !< flag controlling forcing from large-scale model     
     LOGICAL ::  galilei_transformation = .FALSE.                 !< namelist parameter
     LOGICAL ::  humidity = .FALSE.                               !< namelist parameter
     LOGICAL ::  humidity_remote = .FALSE.                        !< switch for receiving near-surface humidity flux (atmosphere-ocean coupling)
-    LOGICAL ::  inflow_l = .FALSE.                               !< left domain boundary has non-cyclic inflow?
-    LOGICAL ::  inflow_n = .FALSE.                               !< north domain boundary has non-cyclic inflow?
-    LOGICAL ::  inflow_r = .FALSE.                               !< right domain boundary has non-cyclic inflow?
-    LOGICAL ::  inflow_s = .FALSE.                               !< south domain boundary has non-cyclic inflow?
     LOGICAL ::  large_scale_forcing = .FALSE.                    !< namelist parameter
     LOGICAL ::  large_scale_subsidence = .FALSE.                 !< namelist parameter
@@ -1336,16 +1343,8 @@
     LOGICAL ::  microphysics_seifert = .FALSE.                   !< use 2-moment Seifert and Beheng scheme
     LOGICAL ::  mg_switch_to_pe0 = .FALSE.                       !< internal multigrid switch for steering the ghost point exchange in case that data has been collected on PE0
-    LOGICAL ::  nest_bound_l = .FALSE.                           !< flag indicating nested domain boundary on left side
-    LOGICAL ::  nest_bound_n = .FALSE.                           !< flag indicating nested domain boundary on north side
-    LOGICAL ::  nest_bound_r = .FALSE.                           !< flag indicating nested domain boundary on right side
-    LOGICAL ::  nest_bound_s = .FALSE.                           !< flag indicating nested domain boundary on south side
-    LOGICAL ::  nest_domain  = .FALSE.                           !< domain is nested into a parent domain?
+    LOGICAL ::  nesting_offline = .FALSE.                        !< flag controlling offline nesting in COSMO model  
     LOGICAL ::  neutral = .FALSE.                                !< namelist parameter
     LOGICAL ::  nudging = .FALSE.                                !< namelist parameter
     LOGICAL ::  ocean = .FALSE.                                  !< namelist parameter
-    LOGICAL ::  outflow_l = .FALSE.                              !< left domain boundary has non-cyclic outflow?
-    LOGICAL ::  outflow_n = .FALSE.                              !< north domain boundary has non-cyclic outflow?
-    LOGICAL ::  outflow_r = .FALSE.                              !< right domain boundary has non-cyclic outflow?
-    LOGICAL ::  outflow_s = .FALSE.                              !< south domain boundary has non-cyclic outflow?
     LOGICAL ::  passive_scalar = .FALSE.                         !< namelist parameter
     LOGICAL ::  plant_canopy = .FALSE.                           !< switch for use of plant canopy model
